# $Revision: 1.14.2.1 $, $Date: 2007/02/19 21:21:22 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libevent - an event notification library
Summary(pl):	libevent - biblioteka powiadamiajca o zdarzeniach
Name:		libevent
Version:	1.3a
Release:	1
Epoch:		0
License:	BSD
Group:		Libraries
#Source0Download: http://www.monkey.org/~provos/libevent/
Source0:	http://www.monkey.org/~provos/%{name}-%{version}.tar.gz
# Source0-md5:	92011285cae8d7c37e587b0f82e441e5
URL:		http://www.monkey.org/~provos/libevent/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. It is meant to replace the asynchronous event loop
found in event-driven network servers.

%description -l pl
API libevent dostarcza mechanizm do wykonywania funkcji callback,
kiedy nastpio okrelone zdarzenie w deskryptorze pliku lub po
okrelonym czasie. Ma to na celu zastpienie asynchronicznych ptli w
sterowanych zdarzeniami usugach sieciowych.

%package devel
Summary:	Header files for libevent library
Summary(pl):	Pliki nagwkowe biblioteki libevent
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libevent library.

%description devel -l pl
Pliki nagwkowe biblioteki libevent.

%package static
Summary:	Static libevent library
Summary(pl):	Statyczna biblioteka libevent
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libevent library.

%description static -l pl
Statyczna biblioteka libevent.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevent-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
# R: python
#%attr(755,root,root) %{_bindir}/event_rpcgen.py
%attr(755,root,root) %{_libdir}/libevent.so
%{_libdir}/libevent.la
%{_includedir}/ev*.h
%{_mandir}/man3/ev*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevent.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libevent.spec,v $
Revision 1.14.2.1  2007/02/19 21:21:22  glen
- HEAD merge: updated to 1.3a (fixes remote DNS DoS)

Revision 1.14  2006/10/17 06:18:26  arekm
- up to 1.2

Revision 1.13  2006/08/10 06:54:13  arekm
- up to 1.1b

Revision 1.12  2005/11/26 00:38:57  qboosh
- updated md5

Revision 1.11  2005/11/25 18:28:52  eothane
- up to 1.1a

Revision 1.10  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.9  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.8  2005/02/27 19:41:00  arekm
- up to 1.0b

Revision 1.7  2005/01/07 21:14:55  qboosh
- updated to 1.0a (bugfix)

Revision 1.6  2004/12/22 15:17:10  qboosh
- updated to 1.0, updated shared patch

Revision 1.5  2004/12/20 21:12:40  qboosh
- pl fix, download URL

Revision 1.4  2004/09/04 20:39:21  adamg
- strict internal deps
- release 1

Revision 1.3  2003/10/29 21:44:18  qboosh
- patched to build shared library, pl fix

Revision 1.2  2003/10/29 21:10:56  ankry
- typo, cosmetics

Revision 1.1  2003/10/29 13:04:42  michuz
- initial release
- TODO: (1) shared library, (2) check my poor polish translation
